<?php
include_once('../../../php/sessionStart.php');
include_once('../../../php/db/dbExec.php');
include_once('../../../php/functions.php');
include_once('../../../php/timezone.php');
include_once('../../../php/privileges.php');

$bitForm = "nom4120";
$bitMod = "nom";
$empCod = $_SESSION['empCod'];
$usuCod = utf8_decode($_SESSION['usuCod']);
$usuNom = utf8_decode($_SESSION['usuNom']);

switch ($_POST['action']) {
	case 'consultarMotbaja':
		echo consultarMotbaja();
		break;

	case 'guardar':
		echo guardar();
		break;

	case 'borrar':
		echo borrar();
		break;
}

function consultarMotbaja() {
	global $empCod;
	$numCod=utf8_decode($_POST['numCod']);

	# QUERYS
	$sMotbaja = "SELECT *, TRIM(mtb_nom) AS mtb_nom FROM motbaja where mtb_cod='$numCod'";

	# EJECUCION DE QUERYS
	$db = new dbExec();
	$resp = $db->sEx($sMotbaja, "motbaja");
	$db->close();

	$func = new functions();

	return $func->jsonEncodeArray($resp, "motbaja");
}


function guardar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$priv = new privileges();
	if (!$priv->modify($_SESSION['usuPriv'])) {
		return json_encode($priv->rErrorModify());
	}

	$func = new functions();

	$numCod=$_POST['numCod'];
	$txtNom=utf8_decode($_POST['txtNom']);

	# QUERYS PARA UN REGISTRO
	$iMotbaja = "INSERT INTO motbaja(mtb_cod, mtb_nom) VALUES ('$numCod','$txtNom')";

	$uMotbaja = "UPDATE motbaja SET mtb_nom='$txtNom' WHERE mtb_cod='$numCod'";

	# EJECUCION DE QUERYS 
	$db = new dbExec();
	if ($func->stringToBool($_POST['nuevo'])) {
		$resp = $db->iEx($iMotbaja);
		$db->iEx($func->iBitacora(utf8_decode("Se creó Motivo Baja, Codigo: $numCod   txtNom Usuario: ").$usuNom, $bitMod, $bitForm));
	} else {
		$resp = $db->uEx($uMotbaja);
		$db->iEx($func->iBitacora(utf8_decode("Se modificó Motivo Baja, Codigo: $numCod   $txtNom Usuario: ").$usuNom, $bitMod, $bitForm));
	}
	
	$db->close();

	return json_encode($resp);
}

function borrar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$func = new functions();

	$numCod=$_POST['numCod'];
	$txtNom=$_POST['txtNom'];

	# QUERYS
	$dMotbaja = "DELETE FROM motbaja WHERE mtb_cod='$numCod'";

	# EJECUCION DE QUERYS 
	$db = new dbExec();
	$resp = $db->dEx($dMotbaja);
	$db->iEx($func->iBitacora(utf8_decode("Se borró Motivo de Baja, Codigo: $numCod  $txtNom Usuario: ").$usuNom, $bitMod, $bitForm));
	$db->close();

	return json_encode($resp);
}
?>